any File Reference

Go to the source code of this file.

## Classes

class | std::experimental::fundamentals_v1::any
class | std::experimental::fundamentals_v1::bad_any_cast

## Namespaces

| std

## Macros

#define | __cpp_lib_experimental_any
#define | _GLIBCXX_EXPERIMENTAL_ANY

## Functions

void | std::experimental::__throw_bad_any_cast ()
template<typename _ValueType >
_ValueType | std::experimental::any_cast (const any &__any)
void | std::experimental::swap (any &__x, any &__y) noexcept
template<typename _ValueType , typename enable_if<!is_move_constructible< _ValueType >::value||is_lvalue_reference< _ValueType >::value, bool >::type = true>
_ValueType | std::experimental::any_cast (any &&__any)
template<typename _ValueType , typename enable_if< is_move_constructible< _ValueType >::value &&!is_lvalue_reference< _ValueType >::value, bool >::type = false>
_ValueType | std::experimental::any_cast (any &&__any)
template<typename _ValueType >
_ValueType | std::experimental::any_cast (any &__any)
template<typename _ValueType >
_ValueType * | std::experimental::any_cast (any *__any) noexcept
template<typename _ValueType >
const _ValueType * | std::experimental::any_cast (const any *__any) noexcept

## Detailed Description

This is a TS C++ Library header.

Definition in file any.